WordPress.org

Support

Support » Plugins and Hacks » Content Warning » [Plugin: Content Warning] Plugin is broken for some sites, update in 48 hours!

[Plugin: Content Warning] Plugin is broken for some sites, update in 48 hours!

  • Plugin Author Jerry

    @phyrax

    I’ve had a look at a few sites and noticed that there’s an add/slash bug that’s preventing the ajax from being called. I’ll get started on fixing this maybe today or tomorrow, depends on my availability. For those of you code junkies, this is the issue.

    The script utilizes wp_localize_script, well with WP 3.3 they ‘fixed’ it… anyhow, I’ve tried viewing chromes logs, and no actual “errors” have popped up, but here’s what happens within the code.

    The localized data should be like so:
    /* <![CDATA[ */var cwv2Params = {	postID: "63",	url: "http://www.theinkwellwv.com/wp-content/plugins/content-warning-v2/ajax.php"};/* ]]> */
    Instead it's coming up like so:
    /* <![CDATA[ */var cwv2Params = {"postID":"867","url":"http:\/\/taboovideo.com\/wp-content\/plugins\/content-warning-v2\/ajax.php"};/* ]]> */

    While the two sites are different, both are running the same version of the plugin, while the latter is running WP 3.3, notice the added slashes in the URL variable for the javaScript.

    http://wordpress.org/extend/plugins/content-warning-v2/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Jerry

    @phyrax

    I do want to add, that while this may not be an actual “bug” and it may just be a hiccup, I will thoroughly test this on my own local 3.3 installation.

    Jerry, may I know how to make the content warning message to appear bit sooner? I noticed that it only showed up after 5 seconds the page/ post was loaded. I just don’t want the user to see any of the contents before the warning message.

    Plugin Author Jerry

    @phyrax

    That issue is being looked into at the moment. On a side note, the plugin is proven to work on a vanilla install of WP 3.3 and an Upgrade, there are no issues. Should anyone find a compatibility issue with another plugin please let me know.

    The timing on the popup seems to be a delay in the ajax call as of yet and can also be affected by server load. As I said though, I’m looking into it and I’ll let you know soon.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Content Warning] Plugin is broken for some sites, update in 48 hours!’ is closed to new replies.
Skip to toolbar